
Infrastructure - Bug #1188

CNode.resolve() error handling doesn't catch error-xml return

2011-01-05 00:17 - Rob Nahf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.02   

Milestone:  Story Points:  

Product Version: *   

Description

org.dataone.service.exceptions.ServiceFailure: Could not deserialize the systemMetadata: No unmarshaller for element "error" (line

2, col 42)

at org.dataone.client.CNode.resolve(CNode.java:132)

at org.dataone.integration.D1ClientCNodeTest.resolveRunner(D1ClientCNodeTest.java:206)

at org.dataone.integration.D1ClientCNodeTest.test_IdEncoding(D1ClientCNodeTest.java:159)

Subtasks:

Task # 1215: refactor ResolveFilter to set the statusCode on error situations. Closed

History

#1 - 2011-01-05 00:28 - Matthew Jones

My quick impression is that this is not a client side error.  The server-side resolve() implementation should not be sending an  response -- it should be

throwing a DataONE exception if there is an error. So the  should be caught on the server-side of resolve() and converted into the appropriate

DataONE exception and thrown with the proper HTTP error code.

#2 - 2011-01-05 01:09 - Rob Nahf

- Target version set to Sprint-2011.01

#3 - 2011-01-05 01:25 - Rob Nahf

I think you're right on the source of the error.  Resolve fowards any error from the metacat systemmetadata REST call, but is probably not throwing

the error code at the same time.

#4 - 2011-01-10 17:30 - Rob Nahf

- Status changed from New to In Progress

need to set up misconfiguration on cn-dev and test again, to see if status is set properly by resolve.

#5 - 2011-01-10 18:26 - Dave Vieglais

- Target version changed from Sprint-2011.01 to Sprint-2011.02

- Position set to 34

#6 - 2011-01-10 20:05 - Rob Nahf

- Status changed from In Progress to Closed

fixed. see #1215 comment
